This subsystem ensures that we can always use a certain core set of 
functions and types, that are either provided by the OS or by replacement 
functions / definitions in this subsystem. The aim is to try to stick 
to POSIX functions in here as much as possible. Convenience functions 
that are available on no platform at all belong in other subsystems
(such as LIBUTIL).

The following functions are guaranteed:

ftruncate
strlcpy
strlcat
mktime
rename
innetgr
initgroups
memmove
strdup
inet_ntoa
setlinebuf
vsyslog
timegm
setenv
strndup
strnlen
waitpid
seteuid
setegid
asprintf
snprintf
vasprintf
vsnprintf
opendir
readdir
telldir
seekdir
closedir
dlopen
dlclose
dlsym
dlerror
chroot
bzero
strerror
errno
mkdtemp
mkstemp (a secure one!)
pread
pwrite
getpass
readline (the library)
inet_ntoa
strtoll
strtoull
socketpair

Types:
bool
socklen_t
uint_t
uint{8,16,32,64}_t
int{8,16,32,64}_t
intptr_t

Constants:
PATH_NAME_MAX
UINT{16,32,64}_MAX
INT32_MAX
RTLD_LAZY
HOST_NAME_MAX
UINT16_MAX
UINT32_MAX
UINT64_MAX
CHAR_BIT

Macros:
va_copy
__FUNCTION__
__STRING
MIN
MAX
QSORT_CAST

Prerequisites:
memset (for bzero)
syslog (for vsyslog)
setnetgrent, getnetgrent, endnetgrent (for innetgr)
mktemp (for mkstemp and mkdtemp)
